<?php
/**
 * Plugin recommendation
 *
 * @package Blorigan
 */

// Load TGM library.
require_once trailingslashit( get_template_directory() ) . 'vendors/tgm/class-tgm-plugin-activation.php';

if ( ! function_exists( 'blorigan_register_recommended_plugins' ) ) :

	/**
	 * Register recommended plugins.
	 *
	 * @since 1.0.0
	 */
	function blorigan_register_recommended_plugins() {
		$plugins = array(
			array(
				'name'     => esc_html__( 'WP Social Sharing', 'blorigan' ),
				'slug'     => 'wp-social-sharing',
				'required' => false,
			),
			array(
				'name'     => esc_html__( 'Contact Form 7', 'blorigan' ),
				'slug'     => 'contact-form-7',
				'required' => false,
			),
			array(
				'name'     => esc_html__( 'One Click Demo Import', 'blorigan' ),
				'slug'     => 'one-click-demo-import',
				'required' => false,
			),
		);

		$config = array();

		tgmpa( $plugins, $config );
	}

endif;

add_action( 'tgmpa_register', 'blorigan_register_recommended_plugins' );
